/* CSS Reset */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* Root */

:root {
    --primary: #3563E9;
    --secondary-500: #1A202C;
    --secondary-400: #596780;
    --secondary-300: #90A3BF;
    --information: #54A6FF;
    --footer-text: rgba(19, 19, 19, 0.6);
}

.clear {
    clear: both;
}

/* My Style */
body {
    font-size: 1.2rem;
    font-family: "Plus Jakarta Sans", sans-serif;
}

html {
    scroll-behavior: smooth;
}

input::placeholder{
    font-family: "Plus Jakarta Sans", sans-serif;
}

/* Header */
.header {
    margin: 30px 6%;
}

.header .top-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header .top-bar h1 {
    font-weight: 700;
    font-size: 2rem;
    color: var(--primary);
}

.header .top-bar .search {
    border: 1px solid rgba(195, 212, 233, 0.4);
    border-radius: 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 7px 10px;
    margin-left: -500px;
}

.header .extra-bar {
    display: none;
}


.header .top-bar .search .icon {
    scale: 0.8;
}

.header .top-bar .search .icon:hover {
    scale: 0.75;
}

.header .top-bar .icon {
    transition: 300ms;
}

.header .top-bar .icon {
    cursor: pointer;
}

.header .top-bar .search input {
    border: none;
    width: 270px;
    padding: 0 5px;
    color: var(--secondary-500);
}

.header .top-bar .search input:focus {
    outline: none;
}

.header .top-bar .profile-notification {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 220px;
}

.header .top-bar .profile-notification .icon {
    border: 1px solid var(--secondary-300);
    border-radius: 50px;
    padding: 5px;
    display: flex;
    align-items: center;
}

.header .top-bar .profile-notification .icon img {
    scale: 0.8;
}

.header .top-bar .profile-notification .icon .notification-dot {
    content: "";
    position: absolute;
    top: 37px;
    background-color: rgba(255, 68, 35, 1);
    width: 8.5px;
    height: 8.5px;
    margin-left: 20px;
    border-radius: 50%;
}

.header .top-bar .profile-notification .icon:nth-child(2) {
    border: 1px solid var(--secondary-300);
}

.header .top-bar .profile-notification .profile:hover {
    cursor: pointer;
}

/* Container Content */
.container {
    display: flex;
    background-color: rgba(246, 247, 249, 1);
}

.container label {
    cursor: pointer;
}

/* Navbar Side */
.navbar-side {
    width: 25%;
    background-color: #fff;
    min-height: 100%;
    margin-top: 5px;
}

.navbar-side input[type="range"] {
    height: 13px;
    width: 85%;
    -webkit-appearance: none;
    background-color: var(--secondary-300);
    border-radius: 10px;
    overflow: hidden;
}

.navbar-side input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 13px;
    height: 13px;
    border-radius: 50px;
    background-color: var(--primary);
    cursor: pointer;
    border: 3px solid #fff;
    box-shadow: -407px 0 0 400px var(--primary);
    position: relative;
    z-index: 1;
}

.navbar-side h3 {
    color: var(--secondary-300);
    font-size: 0.8rem;
    margin: 20px 0;
}

.navbar-side a {
    color: var(--secondary-500);
    text-decoration: none;
    font-size: 1rem;
    font-weight: 600;
}

.navbar-side span {
    color: var(--secondary-400);
    font-size: 1rem;
}

.navbar-side .selection {
    margin-bottom: 15px;
}

.navbar-side .type,
.navbar-side .capacity, 
.navbar-side .price {
    margin-bottom: 25px;
    margin-left: 10%;
}

.navbar-side .price p {
    font-size: 1.1rem;
    margin-top: 15px;
    color: var(--secondary-400);
    font-weight: 600;
}

/* Content */
.content {
    padding: 0 6% 0 2%;
    overflow: hidden;
    width: 75%;
}

/* Detail Group */
.detail-group {
    display: flex;
    justify-content: space-between;
    margin-top: 30px;
}

.detail-group .row {
    width: 48%;
}

.detail-group .row .view {
    background-image: url(../assets/img/bg2-detail.png);
    background-color: var(--primary);
    background-position: center;
    background-size: cover;
    width: 100%;
    min-height: 360px;
    border-radius: 10px;
}

.detail-group .row .view h1 {
    font-size: 2rem;
    color: #fff;
    font-weight: 600;
    padding: 50px 20px 20px;
    line-height: 2.6rem;
    width: 80%;
}

.detail-group .row .view p {
    font-size: 1rem;
    color: #fff;
    font-weight: 500;
    width: 50%;
    padding: 0 20px;
    line-height: 1.6rem;
}

.detail-group .row .view-image {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-top: 20px;
}

.detail-group .row .view-image .col {
    width: 30%;
}

.detail-group .row .view-image .col img {
    width: 100%;
}

.detail-group .row:nth-child(2){
    background-color: #fff;
    border-radius: 10px;
    box-sizing: border-box;
    padding: 20px;
}

.detail-group .row:nth-child(2) h1 {
    font-size: 2rem;
    font-weight: 700;
    color: var(--secondary-500);
    margin-bottom: 10px;
}

.detail-group .row:nth-child(2) .like {
    float: right;
    margin-top: -30px;
    cursor: pointer;
    background-image: url(../assets/icon/Like.png);
    width: 23px;
    height: 23px;
}

.detail-group .row:nth-child(2) img {
    margin-bottom: -3px;
}

.detail-group .row:nth-child(2) span {
    font-size: 0.9rem;
    color: var(--secondary-400);
}

.detail-group .row:nth-child(2) p.description {
    font-weight: 400;
    font-size: 1.2rem;
    line-height: 2.2rem;
    color: var(--secondary-400);
    margin-top: 35px;
}

.detail-group .row:nth-child(2) .specification {
    display: flex;
    justify-content: space-between;
    margin: 30px 0;
}

.detail-group .row:nth-child(2) .specification .col {
    display: flex;
    width: 43%;
    margin-right: 5px;
    justify-content: space-between;
    flex-wrap: wrap;
}

.detail-group .row:nth-child(2) .specification .col p {
    font-size: 1rem;
    color: var(--secondary-300);
    font-weight: 400;
    margin: 15px 0;
}

.detail-group .row:nth-child(2) .specification .col p.spec {
    font-weight: 600;
    color: var(--secondary-400);
}

.detail-group .row:nth-child(2) .specification .col .type-car,
.detail-group .row:nth-child(2) .specification .col .sterring,
.detail-group .row:nth-child(2) .specification .col .capacity,
.detail-group .row:nth-child(2) .specification .col .gasoline {
    display: flex;
    width: 100%;
    justify-content: space-between;
}

.detail-group .row:nth-child(2) .footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 45px 0 0;
}

.detail-group .row:nth-child(2) .footer h1 {
    font-size: 1.6rem;
    font-weight: 700;
    color: var(--secondary-500);
}

.detail-group .row:nth-child(2) .footer span {
    font-size: 0.9rem;
    color: var(--secondary-400);
}

.detail-group .row:nth-child(2) .footer .strike {
    text-decoration: line-through;
}

.detail-group .row:nth-child(2) .footer a {
    padding: 20px 30px;
    background-color: var(--primary);
    border-radius: 10px;
    border: none;
    font-size: 1rem;
    color: #fff;
    font-weight: 500;
    cursor: pointer;
    transition: 300ms;
    margin-top: -10px;
    text-decoration: none;
}

.detail-group .row:nth-child(2) .footer a:hover {
    scale: 0.95;
}

/* Reviews */

.reviews {
    background-color: #fff;
    margin-top: 30px;
    border-radius: 10px;
    padding: 25px 25px 35px;
}

.reviews h2 {
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--secondary-500);
    display: inline-block;
}

.reviews span.number-reviews {
    background-color: var(--primary);
    color: #fff;
    display: inline-block;
    font-size: 0.9rem;
    font-weight: 700;
    padding: 10px 13px;
    border-radius: 7px;
    margin-left: 10px;
}

.reviews .card {
    margin-top: 30px;
}

.reviews .card img.profile {
    float: left;
    margin-right: 20px;
}

.reviews .card h1 {
    color: var(--secondary-500);
    font-size: 1.2rem;
    font-weight: 700;
    margin-bottom: 20px;
}

.reviews .card h3 {
    color: var(--secondary-300);
    font-size: 0.9rem;
    font-weight: 500;
}

.reviews .card .date,
.reviews .card img.star {
    float: right;
    margin-top: -40px;
}

.reviews .card .date {
    font-size: 0.9rem;
    color: var(--secondary-300);
}

.reviews .card img.star {
    position: relative;
    top: 15px;
}

.reviews .card p.description {
    color: var(--secondary-400);
    font-size: 0.9rem;
    line-height: 1.7rem;
    margin-top: 20px;
    padding-left: 75px;
}

.reviews .show-all {
    margin-top: 30px;
}

.reviews .show-all a {
    position: relative;
    left: 45%;
    transform: translateX(-50%);
    color: var(--secondary-300);
    font-size: 1rem;
    text-decoration: none;
}

.reviews .show-all img {
    position: relative;
    left: 46%;
    transform: translateX(-50%);
    top: 1px;
}


/* Catalog Car */


.content .catalog {
    display: flex;
    justify-content: space-between;
    margin-top: 30px;
}

.content .catalog p {
    font-size: 1rem;
    color: var(--secondary-300);
}

.content .catalog a {
    font-size: 1rem;
    color: var(--primary);
    font-weight: 600;
    text-decoration: none;
}

.content .catalog a:hover {
    color: var(--information);
}

.catalog-car .recomendation-car {
    margin-top: 30px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.catalog-car .recomendation-car .card {
    width: 255px;
    background-color: #fff;
    overflow: hidden;
    border-radius: 10px;
    padding: 30px 25px;
    margin-bottom: 25px;
}

.catalog-car .recomendation-car .card .header-card h1 {
    font-size: 1.2rem;
    color: var(--secondary-500);
    font-weight: 700;
    margin-bottom: 10px;
}

.heart-fill {
    background-image: url(../assets/icon/Like.png);
    float: right;
    margin-top: -30px;
    cursor: pointer;
    width: 23px;
    height: 23px;
}

.catalog-car .recomendation-car .card .header-card .like {
    float: right;
    margin-top: -30px;
    cursor: pointer;
    background-image: url(../assets/icon/Like-1.png);
    width: 23px;
    height: 23px;
}

.catalog-car .recomendation-car .card .header-card p {
    font-size: 0.9rem;
    color: var(--secondary-300);
    font-weight: 700;
}

.catalog-car .recomendation-car .card .image-car {
    margin: 35px 0 30px;
    cursor: pointer;
}

.catalog-car .recomendation-car .card .image-car .shadow {
    position: relative;
    z-index: 2;
    top: 85px;
}

.catalog-car .recomendation-car .card .image-car .car {
    position: relative;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
}

.catalog-car .recomendation-car .card .spesification {
    display: flex;
    justify-content: space-between;
}

.catalog-car .recomendation-car .card .spesification div {
    display: flex;
    align-items: center;
}

.catalog-car .recomendation-car .card .spesification p {
    font-size: 0.9rem;
    margin-left: 5px;
    color: var(--secondary-300);
}

.catalog-car .recomendation-car .card .footer-card {
    display: flex;
    justify-content: space-between;
    margin-top: 30px;
    align-items: center;
}

.catalog-car .recomendation-car .card .footer-card h1 {
    font-size: 1.2rem;
    font-weight: 700;
    color: var(--secondary-500);
}

.catalog-car .recomendation-car .card .footer-card span {
    font-size: 0.9rem;
    color: var(--secondary-400);
}

.catalog-car .recomendation-car .card .footer-card .strike {
    text-decoration: line-through;
}

.catalog-car .recomendation-car .card .footer-card a {
    padding: 15px 20px;
    background-color: var(--primary);
    border-radius: 10px;
    border: none;
    font-size: 1rem;
    color: #fff;
    font-weight: 500;
    text-decoration: none;
    cursor: pointer;
    transition: 300ms;
}

.catalog-car .recomendation-car .card .footer-card a:hover {
    scale: 0.95;
}

/* Footer */
.footer {
    background-color: #fff;
    padding: 70px 6% 0;
}

.footer .group {
    display: flex;
    justify-content: space-between;
}

.footer .group .logo {
    width: 30%;
}

.footer .group .logo h1 {
    margin-bottom: 20px;
    font-size: 2rem;
    color: var(--primary);
}

.footer .group .logo p {
    font-size: 1rem;
    line-height: 1.4rem;
    color: rgba(19, 19, 19, 0.6);
}

.footer .group .link {
    display: flex;
    width: 45%;
    justify-content: space-between;
    margin-bottom: 40px;
}

.footer .group .link h2 {
    margin-bottom: 30px;
    color: var(--secondary-500);
    font-size: 1.2rem;
    font-weight: 600;
}

.footer .group .link a {
    display: block;
    margin-bottom: 25px;
    text-decoration: none;
    color: rgba(19, 19, 19, 0.6);
    font-size: 1rem;
}

.footer .line {
    height: 1px;
    background-color: var(--secondary-300);
}

.footer .copyright {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    color: var(--secondary-500);
    font-size: 1rem;
    font-weight: 600;
    padding: 35px 0;
}

.footer .copyright p:nth-child(2) {
    margin-right: -400px;
}

.footer .copyright p {
    cursor: pointer;
    margin-bottom: 20px;
}

/* Media Queries */

/* Extra Large */
@media ( max-width: 1200px ){
    html {
        font-size: 90%;
    }

    .header .top-bar .search {
        margin-left: -200px;
    }

    .catalog-car .recomendation-car {
        justify-content: space-evenly;
    }
}

/* Laptop */
@media ( max-width: 992px ){
    .header .top-bar .search {
        margin-left: -50px;
    }

    .header .top-bar .search input {
        width: 200px;
    }
    
    .detail-group {
        display: inline-block;
    }

    .detail-group .row {
        width: 100%;
        margin-bottom: 20px;
    }

    .footer .copyright p:nth-child(2) {
        margin-right: -200px;
    }
}

/* Tablet */
@media ( max-width: 768px ){
    .content {
        width: 100%;
        padding: 0 6%;
    }

    .header .top-bar .search {
        margin-left: 0;
    }

    .header .top-bar .profile-notification {
        width: 150px;
    }

    .header .top-bar .profile-notification .icon:nth-child(1) {
        display: none;
    }
    
    .navbar-side {
        display: none;
    }

    .footer .copyright p:nth-child(2) {
        margin-right: -100px;
    }
}

/* Mobile Phone */
@media ( max-width: 576px ){
    html {
        font-size: 82.5%;
    }

    .header .top-bar .search {
        display: none;
    }

    .header .top-bar .profile-notification {
       justify-content: end;
    }

    .header .top-bar .profile-notification .icon:nth-child(2),
    .header .top-bar .profile-notification .icon:nth-child(3) {
        display: none;
    }

    /* Extra Bar */
    .header .extra-bar {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-top: 30px;
    }

    .header .extra-bar .search-bar {
        border: 1px solid rgba(195, 212, 233, 0.4);
        border-radius: 10px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 7px 10px;
        width: 73%;
    }

    .header .extra-bar .search-bar .icon {
        cursor: pointer;
    }

    .header .extra-bar .filter-icon {
        border: 1px solid rgba(195, 212, 233, 0.4);
        padding: 7px 10px;
        border-radius: 10px;
        cursor: pointer;
    }
    
    .header .extra-bar .search-bar input {
        border: none;
        width: 100%;
        padding-left: 10px;
    }

    .header .extra-bar .search-bar input:focus {
        outline: none;
    }

    .content {
        padding: 0 6%;
    }

    .detail-group .row .view-image {
        justify-content: space-between;
    }

    .detail-group .row .view-image .col {
        width: 30%;
    }

    .detail-group .row .view-image img {
        width: 100%;
    }

    .detail-group .row:nth-child(2) .specification .col {
        width: 46%;
    }

    .reviews .card img.profile {
        scale: 0.8;
        margin-right: 10px;
    }

    .reviews .card .date {
        position: relative;
        top: 7px;
    }

    .reviews .card img.star {
        scale: 0.7;
        margin-right: -17px;
        top: 22px;
    }

    .reviews .card p.description {
        padding-left: 66px;
    }

    .reviews .show-all img {
        left: 44%;
    }

    .reviews .show-all a {
        left: 40%;
    }

    .catalog-car .recomendation-car .card {
        width: 100%;
        overflow: hidden;
    }

    .catalog-car .recomendation {
        margin-top: 30px;
    }

    .catalog-car .recomendation-car .card .group {
        display: flex;
        justify-content: space-between;
    }

    .catalog-car .recomendation-car .card .image-car {
        width: 70%;
        scale: 0.7;
        margin-top: 80px;
        margin-left: -20px;
    }

    .catalog-car .recomendation-car .card .spesification {
        display: block;
        margin-top: 30px;
        width: 30%;
    }

    .catalog-car .recomendation-car .card .image-car .shadow {
        display: none;
    }

    .catalog-car .recomendation-car .card div {
        margin-bottom: 30px;
    }
    
    .footer .group {
        display: inline-block;
    }

    .footer .group .logo {
        width: 70%;
    }

    .footer .group .link {
        width: 100%;
        flex-wrap: wrap;
        margin-top: 30px;
    }

    .footer .group .link div {
        width: 50%;
    }

    .footer .copyright p:nth-child(1) {
        order: 3;
        width: 100%;
    }

    .footer .copyright p:nth-child(2) {
        order: 1;
    }

    .footer .copyright p:nth-child(3) {
        order: 2;
    }

    .footer .copyright p {
        width: 50%;
    }

    .footer .copyright p:nth-child(3) {
        text-align: right;
    }
}